minetest (5.5.0+dfsg+~1.9.0mt4+dfsg-2) unstable; urgency=medium

  * Fix CVE-2022-35978:
    In **single player**, a mod can set a global setting that controls the Lua
    script loaded to display the main menu. The script is then loaded as soon
    as the game session is exited. The Lua environment the menu runs in is not
    sandboxed and can directly interfere with the user's system. There are
    currently no known workarounds. (Closes: #1017548)

 -- Markus Koschany <apo@debian.org>  Thu, 18 Aug 2022 22:26:07 +0200

minetest (5.5.0+dfsg+~1.9.0mt4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add git-buildpackage config file.
  * Migrate from repack.sh to Files-Excluded.
  * Refresh patches.
  * Add NEWS describing breaking/significant changes.
  * Add README.source for maintainer notes.

 -- Travis Wrightsman <travis@wrightsman.org>  Sun, 27 Feb 2022 17:10:55 -0500

minetest (5.4.1+repack-2) unstable; urgency=medium

  * Add patch to fix compilation with gcc 11 (Closes: #984238).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Oct 2021 23:12:21 +0200

minetest (5.4.1+repack-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #993086).
  * Refresh patches and drop now-obsolete one.
  * Mark minetest-data as Multi-Arch foreign.
  * Declare d/rules doesn't require root. 
  * Enable IPv6 server (Closes: #987104).
  * Bump standards-version to 4.6.0.
  * Use fonts from the fonts-croscore package as much as possible.
  * Bump d/watch to version 4.
  * Drop WTFPL license from d/copyright (unused).
  * Add patch to fix some typos.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 18 Sep 2021 17:10:00 +0200

minetest (5.3.0+repack-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for errors caused by missing param2
    in falling.lua, thanks to Craig Small. (Closes: #990923)

 -- Adrian Bunk <bunk@debian.org>  Thu, 15 Jul 2021 18:55:57 +0300

minetest (5.3.0+repack-2) unstable; urgency=medium

  * Team upload.
  * Fixed 'minetest-data: debian/copyright needs updating'. Reflect upstream
    license changes in copyright documentation. (Closes: #979012)

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 31 Jan 2021 14:41:26 +0100

minetest (5.3.0+repack-1) unstable; urgency=medium

  * New upstream version 5.3.0+repack.

 -- Markus Koschany <apo@debian.org>  Sat, 11 Jul 2020 23:10:38 +0200

minetest (5.2.0+repack-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * Remove myself from the uploaders.

  [ Markus Koschany ]
  * New upstream version 5.2.0+repack.
  * Switch to debhelper-compat = 13.
  * Build-depend on libspatialindex-dev and build with ENABLE_SPATIAL=ON,
    to speed up AreaStores.

 -- Markus Koschany <apo@debian.org>  Sun, 19 Apr 2020 22:30:13 +0200

minetest (5.1.1+repack-2) unstable; urgency=medium

  * Explicitly set CMAKE_BUILD_TYPE to Release to avoid unexpected errors.
    Reported upstream as https://github.com/minetest/minetest/issues/9543
    Thanks to Krock for the report.

 -- Markus Koschany <apo@debian.org>  Tue, 31 Mar 2020 21:37:37 +0200

minetest (5.1.1+repack-1) unstable; urgency=medium

  * New upstream version 5.1.1+repack.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Sat, 01 Feb 2020 22:08:37 +0100

minetest (5.1.0+repack-1) unstable; urgency=medium

  * New upstream version 5.1.0+repack.
  * Declare compliance with Debian Policy 4.4.1.
  * minetest-data: Remove dependencies on python and python-pil because
    minetestmapper is a separate package now. (Closes: #937048)
  * minetest-server: Add Pre-Depends: ${misc:Pre-Depends}.

 -- Markus Koschany <apo@debian.org>  Sun, 17 Nov 2019 15:07:01 +0100

minetest (5.0.1+repack-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Use dh_missing --list-missing.

 -- Markus Koschany <apo@debian.org>  Sat, 20 Jul 2019 02:43:52 +0200

minetest (5.0.1+repack-1) experimental; urgency=medium

  * New upstream version.
    * Refresh patches.
    * Suggest minetestmapper package, which is now separate.
  * Add myself as Uploader.

 -- Dominik George <natureshadow@debian.org>  Thu, 11 Apr 2019 12:36:20 +0200

minetest (0.4.17.1+repack-1) unstable; urgency=medium

  * New upstream version 0.4.17.1+repack.

 -- Markus Koschany <apo@debian.org>  Fri, 15 Jun 2018 22:40:34 +0200

minetest (0.4.17+repack-1) unstable; urgency=medium

  * New upstream version 0.4.17+repack.
  * Move the package from minetest-v04x.git to minetest.git.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Use secure upstream URL.
  * Drop luajit-2.1.patch. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Sat, 09 Jun 2018 22:37:43 +0200

minetest (0.4.16+repack-4) unstable; urgency=medium

  * Add luajit-2.1.patch and patch the FindLuaJIT cmake module to detect
    version 2.1. (Closes: #873324)

 -- Markus Koschany <apo@debian.org>  Sat, 26 Aug 2017 23:50:33 +0200

minetest (0.4.16+repack-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.0.
  * minetest-data: Switch from python-imaging to python-pil. (Closes: #866441)
  * Build with ENABLE_SYSTEM_GMP=1 and use Debian's system library of GMP.
    - Build-depend on libgmp-dev.
  * Make sure that we really use system libraries of jsoncpp and gmp.
    Remove embedded libs in dh_clean override.
  * Update minetest.conf and add all available configuration options for
    dedicated servers.
  * Install minetest-mapper.6 with minetest-data.manpages.
  * Install appdata file into canonical directory /usr/share/metainfo.
  * Switch priority from extra to optional.

 -- Markus Koschany <apo@debian.org>  Wed, 23 Aug 2017 19:01:11 +0200

minetest (0.4.16+repack-2) unstable; urgency=medium

  * Upload to unstable.
  * Drop dependency on fonts-liberation. It is no longer needed.
  * minetest-server: Enable the postgresql backend.
  * Remove overrides for dh_clean and dh_auto_clean and unneeded variables.
    The override for dh_auto_clean prevented that the automatic cleanup of CMAKE
    generated files took place.
  * Remove minetest-data.lintian-overrides and depend on fonts-croscore instead.
    Replace embedded croscore fonts with system fonts.
  * Declare compliance with Debian Policy 4.0.0.

 -- Markus Koschany <apo@debian.org>  Sun, 25 Jun 2017 18:52:38 +0200

minetest (0.4.16+repack-1) experimental; urgency=medium

  * New upstream version 0.4.16+repack. (Closes: #864060)
  * Drop i18n.patch. Fixed upstream.
  * Refresh rawlua.patch.
  * service files: Use the default KillSignal SIGTERM again which
    is supported by upstream now.
  * service files: Pipe all log messages to /dev/null to reduce the noise.
    Log messages are already logged to /var/log/minetest by default.
  * Drop deprecated minetest.menu file.
  * Install missing files and simplify the install files.
  * Drop the manpages files in favor of install files.
    Otherwise the dh_install --list-missing option will cause a build failure
    despite the fact that the manpages are installed via manpages files.
  * repack.sh: Also remove all jar files.
  * Don't convert the lowres minetest icon to xpm anymore and remove imagemagick
    from Build-Depends.
  * Add an lintian-override for duplicate font files because fonts-croscore was
    removed from Debian.
  * Update debian/copyright for new release.
  * Remove binary files in clean target which are not automatically cleaned
    when building minetest twice in a row.

 -- Markus Koschany <apo@debian.org>  Mon, 05 Jun 2017 14:42:59 +0200

minetest (0.4.15+repack2-1) unstable; urgency=medium

  * New upstream version 0.4.15+repack2.
  * Update repack.sh. Remove liberation fonts as well since we use Debian's
    system fonts anyway. (Closes: #851114)
  * d/copyright: Remove paragraph about liberation fonts.

 -- Markus Koschany <apo@debian.org>  Fri, 13 Jan 2017 22:07:54 +0100

minetest (0.4.15+repack-1) unstable; urgency=medium

  * New upstream version 0.4.15+repack.
  * Use DroidSansFallbackFull.ttf instead of just DroidSansFallback.ttf.
    (Closes: #849360)
  * Delete all license.txt files before installing them into the Debian
    packages. Debian has its own copyright file.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Wed, 28 Dec 2016 02:13:28 +0100

minetest (0.4.14+repack-7) unstable; urgency=medium

  * d/rules: Create /usr/share/games/minetest to prevent a FTBFS.

 -- Markus Koschany <apo@debian.org>  Thu, 22 Dec 2016 00:37:37 +0100

minetest (0.4.14+repack-6) unstable; urgency=medium

  * Switch to compat level 10.
  * minetest-server: Depend on lsb-base (>= 3.0-6).
  * minetest-data: Depend on fonts-droid-fallback.
  * Replace DroidSansFallback.ttf with Debian's system font and use
    minetest-data.links instead of debian/rules for this.
  * Provide a manpage for minetest-mapper.

 -- Markus Koschany <apo@debian.org>  Wed, 21 Dec 2016 23:22:47 +0100

minetest (0.4.14+repack-5) unstable; urgency=medium

  * Set correct Breaks and Replaces relationship for minetest-data.
    Thanks to Andreas Beckmann for the report. (Closes: #829150)

 -- Markus Koschany <apo@debian.org>  Wed, 13 Jul 2016 17:15:58 +0200

minetest (0.4.14+repack-4) unstable; urgency=medium

  * Drop minetest-dbg because it was replaced by the automatic -dbgsym package.
  * Declare compliance with Debian Policy 3.9.8.
  * service files: Change the KillSignal from SIGTERM to SIGINT.
    Thanks to dr4ke for the report and patch. (Closes: #828018)

 -- Markus Koschany <apo@debian.org>  Sat, 25 Jun 2016 16:19:11 +0200

minetest (0.4.14+repack-3) unstable; urgency=medium

  * Fix this FTBFS that does not occure in my pbuilder -- sorry.

 -- Martin Quinson <mquinson@debian.org>  Wed, 18 May 2016 09:45:33 +0200

minetest (0.4.14+repack-2) unstable; urgency=medium

  * FTBFS: sometimes, the fonts are not generated. Don't erase then.
  * Adapt the patch for non-LuaJIT platforms. I dropped it before
    because it seemed integrated upstream, but was not.

 -- Martin Quinson <mquinson@debian.org>  Wed, 18 May 2016 07:55:39 +0200

minetest (0.4.14+repack-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Quinson <mquinson@debian.org>  Tue, 17 May 2016 08:36:12 +0200

minetest (0.4.13+repack-2) unstable; urgency=medium

  * service files: Add RequiresMountsFor=/var/games/minetest-server.
  * Vcs-Browser: Use https.
  * Update my e-mail address.
  * Declare compliance with Debian Policy 3.9.7.
  * Vcs-Git: Use https.
  * Update minetest.conf: Mention default value for ipv6_server.
    (Closes: #814012)
  * Update debian/copyright and add missing licenses. (Closes: #815098)

 -- Markus Koschany <apo@debian.org>  Sat, 27 Feb 2016 18:59:09 +0100

minetest (0.4.13+repack-1) unstable; urgency=medium

  * New upstream release.
  * Drop the following patches.
    - FindIrrlicht.cmake.patch, merged upstream.
    - FindJson.cmake.patch, upstream added -DENABLE_SYSTEM_JSONCPP=1
  * Fix freetype2 include dir variable name as per README.txt.
    Patch from Robert Bruce Park (Closes: #794823).

 -- Martin Quinson <mquinson@debian.org>  Thu, 20 Aug 2015 23:55:30 +0200

minetest (0.4.12+repack-2) unstable; urgency=medium

  * Fix FTBFS on architectures where luajit is not available.
    Update rawlua.patch. Do not add embedded lua subdirectory
    to build because it was removed.

 -- Markus Koschany <apo@gambaru.de>  Tue, 17 Mar 2015 18:15:33 +0100

minetest (0.4.12+repack-1) experimental; urgency=medium

  * Imported Upstream version 0.4.12+repack. (Closes: #778853)
  * Drop the following patches. They were merged upstream.
    - desktop-file.patch
    - hurd.patch
    - hyphen-used-as-minus.patch
  * Drop desktop-file-fix-icon.patch. Instead rename minetest icons and use
    the upstream name again. Install minetest.xpm to /usr/share/pixmaps which
    is a better location for xpm files.
  * Use dh_installchangelogs override for installing the upstream changelog.
  * Drop useless-depends.patch. Add missing build-dependencies instead.
  * Add libbz2-dev, libglu1-mesa-dev, libpng-dev and libjpeg-dev to
    Build-Depends.
  * wrap-and-sort -sa.
  * Drop gcc47.patch because it is obsolete.
  * Create directory for minetest.xpm in debian/rules and improve formatting.
  * Remove dh_auto_build override. Use --parallel with main dh invocation.
  * Use dh_auto_configure command to pass on build flags. Do not call cmake
    manually.
  * Rename debianization.patch to FindIrrlicht.cmake.patch. Append
    libIrrlicht.so to search patch instead of replacing other alternatives.
  * Drop dynamic-link.patch. Add FindJson.cmake.patch instead.
    - Remove unnecessary hunks and patch only FindJson.cmake module. This
      ensures that Debian's system json library will be used and simplifies
      future updates.

 -- Markus Koschany <apo@gambaru.de>  Mon, 16 Mar 2015 18:47:04 +0100

minetest (0.4.11+repack-1) experimental; urgency=medium

  * Upload to experimental.
  * Imported Upstream version 0.4.11+repack. (Closes: #774662)
  * Add myself to Uploaders.
  * debian/control:
    - Add libx11-dev to Build-Depends to prevent a FTBFS.
    - Use shorter Vcs-Browser URI.
  * Rebase hurd.patch.
  * Add *.patch extension to all patch files.
  * Update DEP3 patch headers and remove jthread-changed.patch because
    it was not applied anyway.
  * Update useless-depends.patch.
    Readd X11 library otherwise the build will fail due to missing symbols.
  * minetest-server.service: Restart server unit on-failure.
  * Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed to avoid useless
    dependencies.
  * Add desktop-file.patch and hyphen-used-as-minus.patch.
    Add keywords to desktop file and fix lintian warning hyphen-used-as-minus
    sign.
  * debian/upstream.changelog: Just point to upstream's wiki for retrieving the
    latest changelog.
  * Update debian/copyright for new release and use a more permissible license
    for debian/patches/.
  * debian/rules: Enable verbose Makefile to detect possible compilation
    issues.

 -- Markus Koschany <apo@gambaru.de>  Mon, 05 Jan 2015 20:45:10 +0100

minetest (0.4.10+repack-3) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * minetest-server: Support systemd and SysV init systems. (Closes: #769965)
    - Add minetest-server.init.
    - Add minetest-server.postinst and minetest-server.postrm.
      Create an unprivileged system-wide user, Debian-minetest. The new home
      directory is /var/games/minetest-server. All log files are written to
      /var/log/minetest.
    - Add minetest-server@.service file. This is a template unit file which
      allows system administrators to run multiple instances of the server.
      See minetest-server.README.Debian for more information.
    - Add minetest-server.service to run the default configuration.
  * Install minetestserver binary to /usr/lib/minetest.
  * Add minetestserver wrapper script and install it to /usr/games.
  * Install default configuration file to /etc/minetest/minetest.conf.
  * Add minetest-server.logrotate and daily rotate log files in
    /var/log/minetest for 14 days.
  * Declare compliance with Debian Policy 3.9.6.
  * debian/control:
    - minetest-server: Depend on adduser for maintainer scripts.
    - minetest-dbg: Depend either on minetest OR minetest-server.
  * Fix lintian error quilt-series-without-trailing-newline.
  * Fix lintian warning empty-short-license-in-dep5-copyright.

 -- Markus Koschany <apo@gambaru.de>  Thu, 20 Nov 2014 18:07:24 +0100

minetest (0.4.10+repack-2) unstable; urgency=medium

  * d/p/hurd.patch: new patch to fix FTBFS on Hurd (Closes: #764579)
    Thanks to Svante Signell for the report and the patch.

 -- Martin Quinson <mquinson@debian.org>  Fri, 14 Nov 2014 10:14:16 +0100

minetest (0.4.10+repack-1) unstable; urgency=medium

  * New upstream release (closes: #754552).
    - Added third person view.
    - Many bug fixes, performance tweaks, memory usage reductions and
      internal improvements, as well as many translation improvements.
    - Added extended door mod; rework farming mod; added TNT.
  * d/p/powerpc.patch: drop patch integrated upstream
  * d/control:VCS-git: Prefer anonscm.debian.org to deprecated urls

 -- Martin Quinson <mquinson@debian.org>  Wed, 16 Jul 2014 00:12:12 +0200

minetest (0.4.9+repack-6) unstable; urgency=medium

  * Enable LevelDB backend (Closes: #751198).
    Many thanks to Eric Monson for the report and patch.

 -- Martin Quinson <mquinson@debian.org>  Thu, 12 Jun 2014 16:39:16 +0200

minetest (0.4.9+repack-5) unstable; urgency=medium

  * Simplify the architecture-dependent Build-dep so that it work on
    unknown archs (using lua as a fallback for luajit).
    (Closes: #745059, which was about ppc64el not getting any lua)

 -- Martin Quinson <mquinson@debian.org>  Fri, 18 Apr 2014 01:12:19 +0200

minetest (0.4.9+repack-4) unstable; urgency=medium

  * luajit is available on powerpcspe, too (Closes: #734730).
  * Use lua on all other debian-port strange architectures where
    luajit is not avail. I don't really like to hardcode this list of
    architectures this way: if luajit is ported, I will not notice it.

 -- Martin Quinson <mquinson@debian.org>  Thu, 09 Jan 2014 14:22:20 +0100

minetest (0.4.9+repack-3) unstable; urgency=medium

  * Mipsel don't have luajit either, actually. Bummer.

 -- Martin Quinson <mquinson@debian.org>  Thu, 09 Jan 2014 02:40:17 +0100

minetest (0.4.9+repack-2) unstable; urgency=medium

  * Do not try to use luajit on architectures that don't provide it.
    Fallback on lua on those architectures. (Closes: #734461)

 -- Martin Quinson <mquinson@debian.org>  Thu, 09 Jan 2014 00:41:18 +0100

minetest (0.4.9+repack-1) unstable; urgency=medium

  * New upstream release.
    - drop d/p/blinking_furnaces that were picked from upstream.
  * Bump Standards-Version to 3.9.5 (no change needed)

 -- Martin Quinson <mquinson@debian.org>  Sat, 04 Jan 2014 20:52:19 +0100

minetest (0.4.8+repack2-3) unstable; urgency=low

  * get upstream patch to fix a bug with furnaces that are blinking

 -- Martin Quinson <mquinson@debian.org>  Mon, 09 Dec 2013 01:10:58 +0100

minetest (0.4.8+repack2-2) unstable; urgency=low

  * Also look under /usr/share/games/minetest for mods, so that
    minetest-mod-* packages actually work.

 -- Martin Quinson <mquinson@debian.org>  Wed, 04 Dec 2013 23:38:26 +0100

minetest (0.4.8+repack2-1) unstable; urgency=low

  * New upstream release (closes: #730554).
    - Upstream changes to their embeeded jthread library become
      intractable with our system-wide version. So switch to their
      version, even if it's a bad habit to embeed other libraries.
    - Refresh our patches (no big change beside of jthread).
  * Suggests the existing mod packages: moreblocks, moreores, pipeworks.

 -- Martin Quinson <mquinson@debian.org>  Thu, 28 Nov 2013 23:20:35 +0100

minetest (0.4.7+repack-3) unstable; urgency=low

  * d/p/desktop-file-fix-icon: fix the icon name in minetest.desktop
    (Closes: #713808)

 -- Martin Quinson <mquinson@debian.org>  Sun, 18 Aug 2013 02:34:11 +0200

minetest (0.4.7+repack-2) unstable; urgency=low

  * Fix the package description (the game is LGPL, not GPL)

 -- Martin Quinson <mquinson@debian.org>  Fri, 21 Jun 2013 01:54:04 +0200

minetest (0.4.7+repack-1) unstable; urgency=low

  * New upstream release (LP: #1191519)
    - all mods but 'minetest_game' mods were dropped upstream.
      We still need to repack to integrate the remaining mod, though.
  * Refresh our patches accordingly
  * Build-depend on luajit as it is now the used library for lua
  * d/control: bump standard version to 3.9.4 (no change needed)

 -- Martin Quinson <mquinson@debian.org>  Fri, 21 Jun 2013 01:13:36 +0200

minetest (0.4.6+repack-6) unstable; urgency=low

  * Reupload to unstable so that it gets rebuilt against irrlicht 1.8.
    We could have asked a binNMU to the release team for the transition,
    but minetest is the only package build-depending on irrlicht.

 -- Martin Quinson <mquinson@debian.org>  Mon, 06 May 2013 11:36:12 +0200

minetest (0.4.6+repack-5) unstable; urgency=low

  * include minetest-mapper into the minetest-data package
  * don't install in-package fonts, but use system-wide ones
  * Actually install the upstream changelog -- oops

 -- Martin Quinson <mquinson@debian.org>  Wed, 01 May 2013 18:59:48 +0200

minetest (0.4.6+repack-4) unstable; urgency=low

  * Team upload.

  [Matthew Bekkema]
  * Fix build on big endian architectures.

  [Martin Quinson]
  * minetest Suggests minetest-server (Closes: #674121)
  * Conflicts with unofficial minetestc55 (LP: #1162551)

 -- Martin Quinson <mquinson@debian.org>  Fri, 19 Apr 2013 10:06:45 +0200

minetest (0.4.6+repack-3) unstable; urgency=low

  * Team upload.

  [Matthew Bekkema]
  * Fix build on kfreebsd, and hopefully on sparc
  * Further source repacking to remove unused embeedded libraries from
    tarball.

  [Martin Quinson]
  * d/control: update upstream's URL

 -- Martin Quinson <mquinson@debian.org>  Thu, 18 Apr 2013 09:41:54 +0200

minetest (0.4.6+repack-2) unstable; urgency=low

  * Add an upstream changelog found online
  * Ease the upgrade from previous minetest versions -- sorry.

 -- Martin Quinson <mquinson@debian.org>  Wed, 17 Apr 2013 22:09:29 +0200

minetest (0.4.6+repack-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #677517) (LP: #1045322)
    - Player cannot spawn within the rock now (Closes: #693264)
    - Builds with irrlicht 1.8 (Closes: #693277)
  * Repack upstream tarball to re-include the elements that were
    separated "to keep the git repository reasonably sized"

  [Matthew Bekkema]
  * Update existing patches.
  * Use upstream manpages and drop Debian ones.
  * d/rules: various fixes:
    - update the way to get new tarballs
    - copy the icons from the right location
  * d/p/event.patch: new patch to make it compile despite upstream
    editing their included jmutex.h while we use the system-wide one.
  * Be more picky about what should get installed in minetest-common
    to avoid conflicts with minetest.
  * d/copyright: various fixes
    - fix a lintian warning about a duplicated entry
    - upstream switched to LGPL v2 for most files
    - add some missing files
  * d/p/useless-depends.patch: drop useless dependencies reported
    during build by dpkg-shlibdeps
  * d/control: adapt build-deps to drop these dependencies

  [Martin Quinson]
  * d/control: Add myself to the uploaders.
  * d/control: rename the minetest-common pkg to minetest-data, as an
    external source package should/will provide minetest.
  * build with cURL, gettext and freetype
  * d/p/i18n: search for translations in the default path
  * Use system-wide fonts, to avoid a warning about not found fonts
  * Use /usr/share/games/minetest instead of /usr/share/minetest
  * Use upstream desktop file and drop Debian one.

 -- Martin Quinson <mquinson@debian.org>  Sun, 14 Apr 2013 20:58:27 +0200

minetest (0.3.1+dfsg-4) unstable; urgency=low

  * add a breaks minetest << 0.3.1+dfsg-3 to appropriately handle upgrades
    after the package split (closes: #670208)

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 25 Apr 2012 16:04:01 -0400

minetest (0.3.1+dfsg-3) unstable; urgency=low

  * use debhelper 9 and simplify build hardening
  * update my email address
  * bump standards to 3.9.3
  * build-depend on libpng-dev instead of libpng12-dev (closes: #662432)
  * fix gcc 4.7 build failure (closes: #667280)
  * split the server into its own package (closes: #668004)
  * move binaries to /usr/games in install files

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 21 Apr 2012 15:52:14 -0400

minetest (0.3.1+dfsg-2) unstable; urgency=low

  * Fix freedesktop menu "Type" entry.
  * Use "uscan --force-download" in get-orig-source rule.
  * Update homepage location in watch file.
  * Add missing libsqlite3-dev build-dep

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Tue, 29 Nov 2011 18:42:07 -0500

minetest (0.3.1+dfsg-1) unstable; urgency=low

  * Update homepage.
  * Build against jthread 1.3.1.
  * Implement get-orig-source to generate dfsg-free upstream tarball.
  * Build using dfsg-free tarball.
  * Install freedesktop menu and icons.
  * Fix watch file for dfsg name.
  * Install to /usr/games.
  * Add a debug package.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 26 Nov 2011 22:27:53 -0500

minetest (0.3.1-1) unstable; urgency=low

  * New upstream release:
    - Refresh patches.
  * Dynamically link to irrlicht.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 26 Nov 2011 20:08:08 -0500

minetest (0.2.20110922.3-1) UNRELEASED; urgency=low

  * New upstream release.
  * Disable DM-Upload-Allowed.
  * Add some more copyright info.
  * Remove embedded sqlite code copy.
  * Enable all build-hardening flags.
  * Use system jthread library.
  * Fix dep5 url format.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 21 Nov 2011 00:42:06 -0500

minetest (0.2.20110731.3-2) UNRELEASED; urgency=low

  * Update watch file.
  * Add permanent manpages.
  * Support parallel builds.
  * Remove vcs files in clean rule.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 28 Oct 2011 19:46:35 -0400

minetest (0.2.20110731.3-1) UNRELEASED; urgency=low

  * Initial release (Closes: #636293).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 12 Sep 2011 23:43:55 -0400
